# Class CIM_Collection
extends CIM_ManagedElement

Collection is an abstract class that provides a common superclass for data elements that represent collections of ManagedElements and its subclasses.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection

## Direct Known Subclasses

CIM_CollectionOfMSEs
CIM_ConcreteCollection
CIM_CredentialStore
CIM_FilterCollection
CIM_Group
CIM_InstalledProduct
CIM_Profile
CIM_ReplacementSet
CIM_Role
CIM_SystemSpecificCollection

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | Collection is an abstract class that provides a common superclass for data elements that represent collections of ManagedElements and its subclasses.
UMLPackagePath | string | CIM::Core::Collection
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods